/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workbidingevaluation.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workbidingevaluation.entity.WorkBidingEvaluation;

import java.util.List;
import java.util.Map;

/**
 * 评标管理DAO接口
 * @author fgy
 * @version 2017-12-28
 */
@MyBatisDao
public interface WorkBidingEvaluationDao extends CrudDao<WorkBidingEvaluation> {


    List<WorkBidingEvaluation> findlistWithWorkBidingProject(WorkBidingEvaluation workBidingEvaluation);

    int saveJudgeMembers(Map<String, Object> map);

    int saveJudgeLeader(Map<String, Object> map);

    int saveJudgeMembersBak(Map<String, Object> map);

    int confirmDeposit(Map<String, String> map);

    int updateMembersAndBak(Map<String, String> map);
}